Package org.eclipse.emf.cdo.spi.server

## Interface InternalView

- All Superinterfaces:
    `CDOBranchPoint`, `CDOBranchProvider`, `CDOCommonView`, `CDORevisionProvider`, `CDOTimeProvider`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `IView`
  All Known Subinterfaces:
    `InternalTransaction`

      public interface InternalView
      extends IView, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `CDOCommonView.Options`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `changeTarget​(CDOBranchPoint branchPoint, java.util.List<CDOID> invalidObjects, java.util.List<CDORevisionDelta> allChangedObjects, java.util.List<CDOID> allDetachedObjects)` |
    `void` | `clearChangeSubscription()` |
    `void` | `closeUnit​(CDOID rootID)` |
    `void` | `doClose()` |
    `InternalRepository` | `getRepository()` |
    `InternalSession` | `getSession()` |
    `boolean` | `hasSubscription​(CDOID id)` |
    `void` | `inverseClose()` |
    `boolean` | `isInOpenUnit​(CDOID id)` |
    `boolean` | `openUnit​(CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |
    `void` | `setBranchPoint​(CDOBranchPoint branchPoint)` |
    `void` | `setDurableLockingID​(java.lang.String durableLockingID)` |
    `void` | `subscribe​(CDOID id)` |
    `void` | `unsubscribe​(CDOID id)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

      `getDurableLockingID, getLockOwner, getSessionID, getViewID, isDurableView, isHistorical, isReadOnly, options`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

      `getExecutorService`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

- - ### Method Detail

    - #### getSession

          InternalSession getSession()

      Specified by:
        `getSession` in interface `CDOCommonView`
      Specified by:
        `getSession` in interface `IView`

    - #### getRepository

          InternalRepository getRepository()

      Specified by:
        `getRepository` in interface `IView`

    - #### setBranchPoint

          void setBranchPoint​(CDOBranchPoint branchPoint)

    - #### setDurableLockingID

          void setDurableLockingID​(java.lang.String durableLockingID)

      Since:
        4.0

    - #### changeTarget

          void changeTarget​(CDOBranchPoint branchPoint,
                            java.util.List<CDOID> invalidObjects,
                            java.util.List<CDORevisionDelta> allChangedObjects,
                            java.util.List<CDOID> allDetachedObjects)

      Since:
        4.0

    - #### subscribe

          void subscribe​(CDOID id)

    - #### unsubscribe

          void unsubscribe​(CDOID id)

    - #### hasSubscription

          boolean hasSubscription​(CDOID id)

    - #### clearChangeSubscription

          void clearChangeSubscription()

    - #### doClose

          void doClose()

    - #### inverseClose

          void inverseClose()

      Since:
        4.15

    - #### openUnit

          boolean openUnit​(CDOID rootID,
                           CDOProtocolConstants.UnitOpcode opcode,
                           CDORevisionHandler revisionHandler,
                           org.eclipse.net4j.util.om.monitor.OMMonitor monitor)

      Since:
        4.5

    - #### closeUnit

          void closeUnit​(CDOID rootID)

      Since:
        4.5

    - #### isInOpenUnit

          boolean isInOpenUnit​(CDOID id)

      Since:
        4.5